> For the complete documentation index, see [llms.txt](https://docs.okokscripts.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.okokscripts.io/scripts/okokbossmenu.md).

# okokBossMenu

[**YouTube Video**](https://www.youtube.com/watch?v=u-jhOJ9PZv0)

## Installation Guide

### Requirements:

ox\_lib **v3.16.2+** (<https://github.com/overextended/ox_lib/releases/latest/download/ox_lib.zip>).

### Execute the following SQL code in your database:

```sql
CREATE TABLE IF NOT EXISTS `okokbossmenu_hours` (
  `id` int NOT NULL AUTO_INCREMENT,
  `citizenid` varchar(255) NOT NULL,
  `hours` text NOT NULL,
  `last_login` text DEFAULT NULL,
  `job` text DEFAULT NULL,
  PRIMARY KEY (`id`)
)
```

### ESX ONLY

Execute the following SQL code in your database:

```sql
ALTER TABLE `users` ADD COLUMN `isOnDuty` BOOLEAN NOT NULL DEFAULT FALSE;
```

Add the following code at the end of **es\_extended/server/main.lua**:

```lua
RegisterNetEvent("okokBossMenu:savePlayers")
AddEventHandler("okokBossMenu:savePlayers", function()
    Core.SavePlayers()
end)
```

### Server artifacts

Make sure your server artifacts version is up to date.

* Windows: <https://runtime.fivem.net/artifacts/fivem/build_server_windows/master/>
* Linux: <https://runtime.fivem.net/artifacts/fivem/build_proot_linux/master/>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokbossmenu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
